Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix.pretrade.inner
Class MarketDataEntry

    java.lang.Object
      com.fxcm.fix.pretrade.inner.MarketDataEntry

Direct Known Subclasses:
  MarketDataEntryIncremental

    public class MarketDataEntry

extends Object

Constructor Summary
`MarketDataEntry()`
`MarketDataEntry(MarketDataEntry aMarketDataEntry)`

Method Summary
`static String` | `createEntryID(int aFXCMSymID, String aMDEntryType, double aMDEntrySize, String aOriginator)`
`boolean` | `fill(IFieldGroup aFieldGroup)`
`String` | `getCurrency()`
`UTCDate` | `getExpireDate()`
`UTCTimeOnly` | `getExpireTime()`
`UTCDate` | `getMDEntryDate()`
`String` | `getMDEntryID()`
`String` | `getMDEntryOriginator()`
`double` | `getMDEntryPx()`
`double` | `getMDEntrySize()`
`UTCTimeOnly` | `getMDEntryTime()`
`String` | `getMDEntryType()`
`int` | `getMDQuoteType()`
`String` | `getQuoteCondition()`
`String` | `getQuoteEntryID()`
`String` | `getTradingSessionID()`
`String` | `getTradingSessionSubID()`
`int` | `hashCode()`
`void` | `reset()`
`void` | `setCurrency(String aCurrency)`
`void` | `setExpireDate(UTCDate aExpireDate)`
`void` | `setExpireTime(UTCTimeOnly aExpireTime)`
`void` | `setMDEntryDate(UTCDate aMDEntryDate)`
`void` | `setMDEntryID(String aMDEntryID)`
`void` | `setMDEntryOriginator(String aMDEntryOriginator)`
`void` | `setMDEntryPx(double aMDEntryPx)`
`void` | `setMDEntrySize(double aMDEntrySize)`
`void` | `setMDEntryTime(UTCTimeOnly aMDEntryTime)`
`void` | `setMDEntryType(String aMDEntryType)`
`void` | `setMDQuoteType(int aMDQuoteType)`
`void` | `setQuoteCondition(String aQuoteCondition)`
`void` | `setQuoteEntryID(String aQuoteEntryID)`
`void` | `setTradingSessionID(String aTradingSessionID)`
`void` | `setTradingSessionSubID(String aTradingSessionSubID)`
`IFieldGroup` | `toGroup(IMessageFactory aFactory, Instrument aInstrument)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MarketDataEntry

    public MarketDataEntry()

### MarketDataEntry

    public MarketDataEntry(MarketDataEntry aMarketDataEntry)

Method Detail

### setMDEntryType

    public void setMDEntryType(String aMDEntryType)

### setMDEntryID

    public void setMDEntryID(String aMDEntryID)

### setMDEntryPx

    public void setMDEntryPx(double aMDEntryPx)

### setCurrency

    public void setCurrency(String aCurrency)

### setMDEntrySize

    public void setMDEntrySize(double aMDEntrySize)

### setMDEntryDate

    public void setMDEntryDate(UTCDate aMDEntryDate)

### setMDEntryTime

    public void setMDEntryTime(UTCTimeOnly aMDEntryTime)

### setTradingSessionID

    public void setTradingSessionID(String aTradingSessionID)

### setTradingSessionSubID

    public void setTradingSessionSubID(String aTradingSessionSubID)

### setQuoteCondition

    public void setQuoteCondition(String aQuoteCondition)

### setMDEntryOriginator

    public void setMDEntryOriginator(String aMDEntryOriginator)

### setExpireDate

    public void setExpireDate(UTCDate aExpireDate)

### setExpireTime

    public void setExpireTime(UTCTimeOnly aExpireTime)

### setMDQuoteType

    public void setMDQuoteType(int aMDQuoteType)

### setQuoteEntryID

    public void setQuoteEntryID(String aQuoteEntryID)

### getMDEntryType

    public String getMDEntryType()

### getMDEntryID

    public String getMDEntryID()

### getMDEntryPx

    public double getMDEntryPx()

### getCurrency

    public String getCurrency()

### getMDEntrySize

    public double getMDEntrySize()

### getMDEntryDate

    public UTCDate getMDEntryDate()

### getMDEntryTime

    public UTCTimeOnly getMDEntryTime()

### getTradingSessionID

    public String getTradingSessionID()

### getTradingSessionSubID

    public String getTradingSessionSubID()

### getQuoteCondition

    public String getQuoteCondition()

### getMDEntryOriginator

    public String getMDEntryOriginator()

### getExpireDate

    public UTCDate getExpireDate()

### getExpireTime

    public UTCTimeOnly getExpireTime()

### getMDQuoteType

    public int getMDQuoteType()

### getQuoteEntryID

    public String getQuoteEntryID()

### toGroup

    public IFieldGroup toGroup(IMessageFactory aFactory,
                               Instrument aInstrument)

### reset

    public void reset()

### fill

    public boolean fill(IFieldGroup aFieldGroup)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### createEntryID

    public static String createEntryID(int aFXCMSymID,
                                       String aMDEntryType,
                                       double aMDEntrySize,
                                       String aOriginator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FXCM, LLC. All Rights Reserved.